Bug 1815146 - Backslash escapes when downloading a JSON-formatted report multiple times
Summary: Backslash escapes when downloading a JSON-formatted report multiple times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 15:40 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:00:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30138 0 Normal Closed Backslash escapes when downloading a JSON-formatted report multiple times 2020-10-28 17:26:54 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:01:07 UTC

Description Lukáš Hellebrandt 2020-03-19 15:40:36 UTC
Description of problem:
When I generate a report in JSON format, Submit button gets me to the page where I can download it. It download automatically and the file is correct. When I click the Download button, however, I get the same file but with quotation marks escaped by backslashes, i.e.:

1st time:
..."Organization":"Default Organization","Lifecycle Environment":"Library"...

n+1st time:
...\"Organization\":\"Default Organization\",\"Lifecycle Environment\":\"Library\"...

Version-Release number of selected component (if applicable):
Reproduced with Sat 6.7 snap 16; JSON format not supported in Sat 6.6

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a Satellite with some host
2. Monitor -> Report Templates -> generate Host Statuses
3. Select JSON format, Submit
4. Download the file
5. Click Download and download the file again

Actual results:
Quotation marks escaped

Expected results:
Correct JSON file

Additional info:
This doesn't happen with custom templates containing quotation marks

Comment 4 Ondřej Ezr 2020-06-17 08:25:09 UTC
Created redmine issue https://projects.theforeman.org/issues/30138 from this bug

Comment 5 Bryan Kearney 2020-06-17 12:02:16 UTC
Upstream bug assigned to oezr

Comment 6 Bryan Kearney 2020-06-17 12:02:18 UTC
Upstream bug assigned to oezr

Comment 7 Bryan Kearney 2020-06-18 12:06:07 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30138 has been resolved.

Comment 8 Lukáš Hellebrandt 2020-06-25 13:04:55 UTC
Verified with Sat 6.8 snap 6.0.

Used reproducer from OP, correct JSON without excessive escaping is now downloaded every time.

Comment 11 errata-xmlrpc 2020-10-27 13:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.